/*
Copyright (C) 2017, Vershinin Ivan
*/

package ru.vershinin.medical.btdog;

public interface Constants {// все поля интерфейса - public static final

    String BT_DEVICE_NAME = "BTDOG-2017";

    // Message types sent from the BluetoothService Handler
    int MESSAGE_STATE_CHANGE = 1;
    int MESSAGE_READ = 2;
    int MESSAGE_WRITE = 3;
    int MESSAGE_DEVICE_NAME = 4;
    int MESSAGE_TOAST = 5;

    // Key names received from the BluetoothService Handler
    String DEVICE_NAME = "device_name";
    String TOAST = "toast";

    // Цвет команд для текста
    int TEXT_ACTION_COLOR = 0xFFFF8800;

    // Символы для перевода в 16-тиричную систему
    String HEX = "0123456789ABCDEF";

    // Размеры дисплея
    int LCD_WIDTH = 64;
    int LCD_HEIGHT = 48;

    // Максимальный размер пакета
    int IMG_PACKET_SIZE = 17;

    // Номера команд (д.б. в том же порядке, что и в string-array name="action_list").
    int DRAW_DOT       = 0;
    int DRAW_LINE      = 1;
    int DRAW_RECT      = 2;
    int DRAW_CIRCLE    = 3;
    int DRAW_STRING    = 4;
    int SET_CUR_POS    = 5;
    int SET_SIZE       = 6;
    int SET_TXT_COLOR  = 7;
    int SET_WRAP       = 8;
    int SET_COLOR      = 9;
    int CLEAR_DISPLAY  = 10;
    int FILL_DISPLAY   = 11;
    int INVERT_DISPLAY = 12;
    int SET_CONTRAST   = 13;
    int SET_ROTATE     = 14;
    int DRAW_MSG       = 15;
    int DRAW_CLOCK     = 16;
    int DRAW_AN_CLOCK  = 17;
    int DRAW_IMAGE     = 18;

    byte clock_hand_dx[] = {
        0, 2, 4, 6, 7, 9, 11, 12, 13, 15,
                16, 16, 17, 18, 18, 18, 18, 18, 17, 16,
                16, 15, 13, 12, 11, 9, 7, 6, 4, 2,
                0, -2, -4, -6, -7, -9, -11, -12, -13, -15,
                -16, -16, -17, -18, -18, -18, -18, -18, -17, -16,
                -16, -15, -13, -12, -11, -9, -7, -6, -4, -2};

    byte clock_hand_dy[] = {
        -18, -18, -18, -17, -16, -16, -15, -13, -12, -11,
                -9, -7, -6, -4, -2, 0, 2, 4, 6, 7,
                9, 11, 12, 13, 15, 16, 16, 17, 18, 18,
                18, 18, 18, 17, 16, 16, 15, 13, 12, 11,
                9, 7, 6, 4, 2, 0, -2, -4, -6, -7,
                -9, -11, -12, -13, -15, -16, -16, -17, -18, -18};
}
