/*
Copyright (C) 2017, Vershinin Ivan
*/

package ru.vershinin.medical.btdog;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class HighlightAdapter extends ArrayAdapter<String> {
    private final Context context;
    private final String[] names;

    public HighlightAdapter(Context _context, String[] _names) {
        super(_context, R.layout.spinner_layout, _names);
        context = _context;
        names = _names;
    }

    @Override
    public View getDropDownView(int position, View convertView,
                                ViewGroup parent) {
        return getCustomView(position, convertView, parent);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        return getCustomView(position, convertView, parent);
    }

    public View getCustomView(int position, View convertView, ViewGroup parent) {
        LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        View row = inflater.inflate(R.layout.spinner_layout, parent, false);
        TextView label = (TextView) row.findViewById(R.id.label);
        ImageView icon = (ImageView) row.findViewById(R.id.icon);

        label.setText(names[position]);
        switch (position){
            case Constants.DRAW_DOT:
                icon.setImageResource(R.drawable.dot);
                break;
            case Constants.DRAW_LINE:
                icon.setImageResource(R.drawable.line);
                break;
            case Constants.DRAW_RECT:
                icon.setImageResource(R.drawable.rect);
                break;
            case Constants.DRAW_CIRCLE:
                icon.setImageResource(R.drawable.circle);
                break;
            case Constants.DRAW_STRING:
                icon.setImageResource(R.drawable.text);
                label.setTextColor(Constants.TEXT_ACTION_COLOR);
                break;
            case Constants.SET_COLOR:
                icon.setImageResource(R.drawable.color);
                break;
            case Constants.CLEAR_DISPLAY:
                icon.setImageResource(R.drawable.eraser);
                break;
            case Constants.FILL_DISPLAY:
                icon.setImageResource(R.drawable.fill);
                break;
            case Constants.DRAW_MSG:
                icon.setImageResource(R.drawable.message);
                break;
            case Constants.DRAW_CLOCK:
                icon.setImageResource(R.drawable.digital_clock);
                break;
            case Constants.DRAW_AN_CLOCK:
                icon.setImageResource(R.drawable.analog_clock);
                break;
            case Constants.DRAW_IMAGE:
                icon.setImageResource(R.drawable.paint);
                break;
            default: icon.setImageResource(R.drawable.nothing);
                break;
        }
        return row;
    }
}
